#include <stdlib.h>
#include <string.h>
#include "matrix.h"

typedef struct{
    unsigned int rows;
    unsigned int cols;
}Matrix;

// TODO Matrix-Funktionen implementieren

Matrix createMatrix(unsigned int rows, unsigned int cols)
{
    Matrix matrix(rows, cols);
    return matrix;
}

void clearMatrix(Matrix *matrix)
{
    int matrix[matrix.rows][matrix.cols];
    for(int i = 0; i < matrix[rows].length; i++){
        for(int j = 0; j < matrix[cols]; j++){
            matrix[i][j] = 0;
        }
    }
}

void setMatrixAt(MatrixType value, Matrix matrix, unsigned int rowIdx, unsigned int colIdx)
{
    // einen wert in der matrix setzen
}

MatrixType getMatrixAt(const Matrix matrix, unsigned int rowIdx, unsigned int colIdx)
{
    // einen wert in der matrix returnen
}

Matrix add(const Matrix matrix1, const Matrix matrix2)
{
    // addieren entweder mit matrix oder vektor
}

Matrix multiply(const Matrix matrix1, const Matrix matrix2)
{
    
}